(function () {
    var H = jQuery(window).height() - 80,
        W = jQuery(window).width() - 115;
    let save_metabox_url = 'admin.php?page=kirimemail-wordpress-form&save_metabox=1';
    let select_url = 'admin.php?page=kirimemail-wordpress-form&get_select_option=1';
    let metabox_saved = $('#ke-metabox-saved');
    let metabox_error = $('#ke-metabox-error');
    metabox_saved.hide();
    metabox_error.hide();

    function show_saved() {
        metabox_saved.show();
        setTimeout(function () {
            metabox_saved.hide();
        }, 2000)
    }

    function show_error() {
        metabox_error.show();
        setTimeout(function () {
            metabox_error.hide();
        }, 2000)
    }

    $('.ke-metabox-select-form').select2({
        ajax: {
            url: select_url
        }
    });
    $('#ke-widget').on('change', function () {
        $('#widget-selected').val($('#ke-widget').val());
    });
    $('#ke-bar').on('change', function () {
        $('#bar-selected').val($('#ke-bar').val());
    });
    $('#ke-widget-edit').on('click', function () {
        try {
            let selected_val = JSON.parse($('#widget-selected').val());
            let edit_url = $('#ke-metabox-edit-url').attr('data-url').replace(/%id%/g, selected_val.id).replace(/%width%/g, W)
                .replace(/%height%/g, H);
            tb_show('Edit Widget Form', edit_url)
        } catch (e) {

        }
    });
    $('#ke-bar-edit').on('click', function () {
        try {
            let selected_val = JSON.parse($('#bar-selected').val());
            let edit_url = $('#ke-metabox-edit-url').attr('data-url').replace(/%id%/g, selected_val.id).replace(/%width%/g, W)
                .replace(/%height%/g, H);
            tb_show('Edit Bar Form', edit_url)
        } catch (e) {

        }
    });
    $('#ke-save-metabox').on('click', function () {
        $.ajax({
            type: 'post',
            url: save_metabox_url,
            data: {
                post_id: $(this).attr('data-id'),
                widget_selected: $('#widget-selected').val(),
                bar_selected: $('#bar-selected').val()
            }
        }).done(function (result) {
            show_saved();
            console.log(result);
        }).fail(function (result) {
            show_error();
            console.log(result);
        });
    });
})();
